> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/set-rasprintingsettings.md).

# Set-RASPrintingSettings

### NAME

Set-RASPrintingSettings\ <br>

### SYNOPSIS

Update RAS Universal Printing settings.\ <br>

### SYNTAX

Set-RASPrintingSettings \[-[DriverAllowMode](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASPrintingSettings.html#DriverAllowMode) {AllowRedirUsingAnyDriver | AllowRedirUsingSpecifiedDriver | DoNotAllowRedirUsingSpecifiedDriver}] \[-[EmbedFonts](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASPrintingSettings.html#EmbedFonts) *\<bool>*] \[-[ExcludedFonts](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASPrintingSettings.html#ExcludedFonts) *\<string>*] \[-[ExcludedFontsArray](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASPrintingSettings.html#ExcludedFontsArray) *\<string\[]>*] \[-[PrinterDrivers](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASPrintingSettings.html#PrinterDrivers) *\<string>*] \[-[PrinterDriversArray](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASPrintingSettings.html#PrinterDriversArray) *\<string\[]>*] \[-[PrinterNamePattern](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASPrintingSettings.html#PrinterNamePattern) *\<string>*] \[-[ReplicatePrinterDrivers](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASPrintingSettings.html#ReplicatePrinterDrivers) *\<bool>*] \[-[ReplicatePrinterFont](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASPrintingSettings.html#ReplicatePrinterFont) *\<bool>*] \[-[ReplicatePrinterPattern](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASPrintingSettings.html#ReplicatePrinterPattern) *\<bool>*] \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASPrintingSettings.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASPrintingSettings.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Update RAS Universal Printing settings.\ <br>

### PARAMETERS

\
-**PrinterDrivers \<string>**\
Printer Drivers (Comma ',' separated values).\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**PrinterDriversArray \<string\[]>**\
Printer Drivers string array.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ExcludedFonts \<string>**\
Excluded Fonts (Astrix '\*' separated values).\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ExcludedFontsArray \<string\[]>**\
Excluded Fonts string array.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**PrinterNamePattern \<string>**\
Printer Name Pattern.\
\
Default pattern: %PRINTERNAME% for %USERNAME% by Parallels\
\
Valid pattern variables: %PRINTERNAME% | %USERNAME% | %CLIENTNAME% | %SESSIONID%\
\
Other valid pattern: 2X Universal Printer\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**EmbedFonts \<bool>**\
Embed Fonts.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ReplicatePrinterFont \<bool>**\
Replicate Printer Font Settings.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ReplicatePrinterPattern \<bool>**\
Replicate Printer Name Pattern Settings.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ReplicatePrinterDrivers \<bool>**\
Replicate Printer Drivers Settings.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**DriverAllowMode <**[**PrnDriverAllowMode**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/PrnDriverAllowMode.html)**>**\
Printer Drivers allow mode.\
\
Possible values: AllowRedirUsingAnyDriver, AllowRedirUsingSpecifiedDriver, DoNotAllowRedirUsingSpecifiedDriver\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
The site ID.\
\
To obtain the ID of a desired site, use the Get-Sites cmdlet.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Set-RASPrintingSettings -EmbedFonts $false\
\
Updates Universal Printing to disable embedded fonts.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/set-rasprintingsettings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
